Wayout LogoDocumentation
Invoice

Get Invoice

Endpoint for retrieving invoice details


Introduction

The Invoice endpoint allows you to check on the status and details of an existing invoice.

In the request URL, you may specify the ID of the invoice you wish to retrieve.


HTTP Request

GET /api/invoice/[id]

Request headers

HeaderValue
Content-Typeapplication/json
Authorization<API Key>

Code examples

curl --location 'https://wayout.gg/api/invoice/[id]' \
--header 'Content-Type: application/json' \
--header 'Authorization: <API Key>'
API key must have Automate Payments permission scope or higher.

Response

Response body
{
    "success": true,
    "invoice": {
        "id": 12345,
        "share_token": "<Share Token>",
        "created_at": "2025-11-11T11:11:00.000Z",
        "pay_url": "https://point-of-sale-domain/pay-invoice?share_token=<Share Token>",
        "fiat_amount": "12.34",
        "fiat_currency": "USD",
        "status": "Paid",
        "updated_at": "2025-11-11T11:11:00.000Z",
        "due_at": "2025-11-11T11:11:00.000Z",
        "coin_symbol": "BTC",
        "type": "manual",
        "wallet_address": null,
        "memo": "",
        "client_name": "",
        "client_email": "",
        "invoice_title": "",
        "invoice_message": ""
    }
}